Source: swift-bench
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-eventlet,
 python3-hacking,
 python3-stestr,
 python3-swiftclient,
 python3-testrepository,
 python3-testtools,
Standards-Version: 4.4.1
Homepage: https://github.com/openstack/swift-bench
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift-bench
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift-bench.git

Package: swift-bench
Architecture: all
Depends:
 python3-eventlet,
 python3-swift,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: benchmarking tool for Swift
 Swift Bench is simple tool for benchmarking OpenStack Swift cluster
 .
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
